```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Uri (Details)
> namespace: **VDM\Joomla\Openai\Utilities**
```uml
@startuml
class Uri << (F,LightGreen) >> #RoyalBlue {
  - string $version
  - string $url
  + __construct(string $url = 'https://api.openai.com', string $version = 'v1')
  + get(string $path) : JoomlaUri
  + api() : string
  - setUrl(string $url) : void
  - setVersion(string $version) : void
}

note right of Uri::__construct
  Constructor
example: https://api.openai.com

  since: 3.2.0
end note

note right of Uri::get
  Method to build and return a full request URL for the request.  This method will
add appropriate pagination details if necessary and also prepend the API url
to have a complete URL for the request.

  since: 3.2.0
  return: JoomlaUri
end note

note right of Uri::api
  Get the full API URL

  since: 3.2.0
  return: string
end note

note right of Uri::setUrl
  Set the URL of the API
example: https://api.openai.com

  since: 3.2.0
  return: void
end note

note right of Uri::setVersion
  Set the version of the API

  since: 3.2.0
  return: void
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

