```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Files (Details)
> namespace: **VDM\Joomla\Openai**
> extends: **Api**
```uml
@startuml
class Files  #Gold {
  + list() : ?object
  + upload(string $file, string $purpose) : ?object
  + info(string $fileID) : ?object
  + content(string $fileID) : mixed
  + delete(string $fileID) : ?object
}

note right of Files::list
  Fetches a list of files belonging to the user's organization.
API Ref: https://platform.openai.com/docs/api-reference/files/list

  since: 3.2.0
  return: ?object
end note

note right of Files::upload
  Upload a file that contains document(s) to be used across various endpoints/features.
API Ref: https://platform.openai.com/docs/api-reference/files/upload

  since: 3.2.0
  return: ?object
end note

note right of Files::info
  Returns information about a specific file.
API Ref: https://platform.openai.com/docs/api-reference/files/retrieve

  since: 3.2.0
  return: ?object
end note

note right of Files::content
  Retrieve a specific file content.
API Ref: https://platform.openai.com/docs/api-reference/files/retrieve-content

  since: 3.2.0
  return: mixed
end note

note right of Files::delete
  Delete a file.
API Ref: https://platform.openai.com/docs/api-reference/files/delete

  since: 3.2.0
  return: ?object
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

