```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Edits (Details)
> namespace: **VDM\Joomla\Openai**
> extends: **Api**
```uml
@startuml
class Edits  #Gold {
  + create(string $model, string $instruction, ...) : ?object
}

note right of Edits::create
  Create a new edit using OpenAI Edit API.
API Ref: https://platform.openai.com/docs/api-reference/edits

  since: 3.2.0
  return: ?object
  
  arguments:
    string $model
    string $instruction
    ?string $input = null
    ?int $n = null
    ?float $temperature = null
    ?float $topP = null
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

