```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Images (Details)
> namespace: **VDM\Joomla\Openai**
> extends: **Api**
```uml
@startuml
class Images  #Gold {
  + generate(string $prompt, ?string $size = null, ...) : ?object
  + edit(string $image, string $prompt, ...) : ?object
  + variation(string $image, ?string $size = null, ...) : ?object
}

note right of Images::generate
  Generate an image given a text prompt.
API Ref: https://platform.openai.com/docs/api-reference/images/create

  since: 3.2.0
  return: ?object
  
  arguments:
    string $prompt
    ?string $size = null
    ?string $responseFormat = null
    ?int $n = null
    ?string $user = null
end note

note right of Images::edit
  Create an image edit with extended options.
API Ref: https://platform.openai.com/docs/api-reference/images/create-edit

  since: 3.2.0
  return: ?object
  
  arguments:
    string $image
    string $prompt
    ?string $mask = null
    ?string $size = null
    ?string $responseFormat = null
    ?int $n = null
    ?string $user = null
end note

note right of Images::variation
  Create a variation of a given image.
API Ref: https://platform.openai.com/docs/api-reference/images/create-variation

  since: 3.2.0
  return: ?object
  
  arguments:
    string $image
    ?string $size = null
    ?string $responseFormat = null
    ?int $n = null
    ?string $user = null
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

