```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Api (Details)
> namespace: **VDM\Joomla\Openai\Service**
```uml
@startuml
class Api  #Gold {
  + register(Container $container) : void
  + getAudio(Container $container) : Audio
  + getChat(Container $container) : Chat
  + getCompletions(Container $container) : Completions
  + getEdits(Container $container) : Edits
  + getEmbeddings(Container $container) : Embeddings
  + getFiles(Container $container) : Files
  + getFineTunes(Container $container) : FineTunes
  + getImages(Container $container) : Images
  + getModels(Container $container) : Models
  + getModerate(Container $container) : Moderate
}

note right of Api::register
  Registers the service provider with a DI container.

  since: 3.2.0
  return: void
end note

note left of Api::getAudio
  Get the Audio class

  since: 3.2.0
  return: Audio
end note

note right of Api::getChat
  Get the Chat class

  since: 3.2.0
  return: Chat
end note

note left of Api::getCompletions
  Get the Completions class

  since: 3.2.0
  return: Completions
end note

note right of Api::getEdits
  Get the Edits class

  since: 3.2.0
  return: Edits
end note

note left of Api::getEmbeddings
  Get the Embeddings class

  since: 3.2.0
  return: Embeddings
end note

note right of Api::getFiles
  Get the Files class

  since: 3.2.0
  return: Files
end note

note left of Api::getFineTunes
  Get the FineTunes class

  since: 3.2.0
  return: FineTunes
end note

note right of Api::getImages
  Get the Images class

  since: 3.2.0
  return: Images
end note

note left of Api::getModels
  Get the Models class

  since: 3.2.0
  return: Models
end note

note right of Api::getModerate
  Get the Moderate class

  since: 3.2.0
  return: Moderate
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

