```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Audio (Details)
> namespace: **VDM\Joomla\Openai**
> extends: **Api**
```uml
@startuml
class Audio  #Gold {
  + transcribe(string $file, ?string $prompt = null, ...) : ?object
  + translation(string $file, ?string $prompt = null, ...) : ?object
}

note right of Audio::transcribe
  Transcribes audio into the input language.
API Ref: https://platform.openai.com/docs/api-reference/audio/create

  since: 3.2.0
  return: ?object
  
  arguments:
    string $file
    ?string $prompt = null
    ?string $responseFormat = null
    ?float $temperature = null
    ?string $language = null
    string $model = 'whisper-1'
end note

note right of Audio::translation
  Translate an audio file into English.
API Ref: https://platform.openai.com/docs/api-reference/audio/create

  since: 3.2.0
  return: ?object
  
  arguments:
    string $file
    ?string $prompt = null
    ?string $responseFormat = null
    ?float $temperature = null
    string $model = 'whisper-1'
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

