```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Embeddings (Details)
> namespace: **VDM\Joomla\Openai**
> extends: **Api**
```uml
@startuml
class Embeddings  #Gold {
  + create(string $model, mixed $input, ...) : ?object
}

note right of Embeddings::create
  Create an embedding of a given input.
API Ref: https://platform.openai.com/docs/api-reference/embeddings

  since: 3.2.0
  return: ?object
  
  arguments:
    string $model
    mixed $input
    ?string $user = null
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

